---
apiVersion: v1                         
kind: PersistentVolume                 
metadata:                              
  name: mergefs-pv-xdc
spec:                                  
  capacity:                            
    storage: 5Gi                       
  volumeMode: Filesystem               
  accessModes:                         
    - ReadWriteMany                    
  persistentVolumeReclaimPolicy: Retain
  storageClassName: csi-cephfs-sc      
  csi:
    driver: cephfs.csi.ceph.com
    nodeStageSecretRef:
      name: csi-cephfs-secret
      namespace: default
    volumeAttributes:
      "clusterID": "ceph"
      "staticVolume": "true"
      "rootPath": "/volumes/mergefs"
      "fsName": "mergefs"
    volumeHandle: mergefs


